<?php
class plgHikashopHide_products_lang extends JPlugin
{
	function plgHikashopHide_products_lang(&$subject, $config){
		parent::__construct($subject, $config);
	}

	function onBeforeProductListingLoad(&$filters){
		$app = Jfactory::getApplication();
		if($app->isAdmin()) return;
		$pluginsClass = hikashop_get('class.plugins');
		$plugin = $pluginsClass->getByName('hikashop','hide_products_lang');
		$field = $plugin->params['hide_products_lang'];
		if(empty($field)) $field = 'product_lang';

		$lang = JFactory::getLanguage();
		$current_lang = $lang->get('tag');
		$db = Jfactory::getDBO();
		$filters[]='b.'.$field.'=\'\' OR b.'.$field.'='.$db->Quote($current_lang).' OR b.'.$field.' LIKE '.$db->Quote('%'.$current_lang.'%');
	}
}